| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
cv::AsyncPromise Class Reference
Core functionality » Asynchronous API

Provides result of asynchronous operations. More...

`#include <opencv2/core/detail/async_promise.hpp>`

Collaboration diagram for cv::AsyncPromise:

## Public Types
typedef struct AsyncArray::Impl | Impl

## Public Member Functions
| AsyncPromise () CV_NOEXCEPT
| AsyncPromise (AsyncPromise &&o)
| AsyncPromise (const AsyncPromise &o) CV_NOEXCEPT
| ~AsyncPromise () CV_NOEXCEPT
void * | _getImpl () const CV_NOEXCEPT
AsyncArray | getArrayResult ()
AsyncPromise & | operator= (AsyncPromise &&o) CV_NOEXCEPT
AsyncPromise & | operator= (const AsyncPromise &o) CV_NOEXCEPT
void | release () CV_NOEXCEPT
void | setException (const cv::Exception &exception)
void | setException (std::exception_ptr exception)
void | setValue (InputArray value)

## Protected Attributes
Impl * | p

## Friends
struct | AsyncArray::Impl

## Detailed Description

Provides result of asynchronous operations.

## Member Typedef Documentation

## ◆ Impl

struct AsyncArray::Impl cv::AsyncPromise::Impl

## Constructor & Destructor Documentation

## ◆ ~AsyncPromise()

cv::AsyncPromise::~AsyncPromise | ( |  | ) |

## ◆ AsyncPromise() [1/3]

cv::AsyncPromise::AsyncPromise | ( |  | ) |

## ◆ AsyncPromise() [2/3]

cv::AsyncPromise::AsyncPromise | ( | const AsyncPromise & | o | ) |
| explicit

## ◆ AsyncPromise() [3/3]

cv::AsyncPromise::AsyncPromise | ( | AsyncPromise && | o | ) |
| inline explicit

## Member Function Documentation

## ◆ _getImpl()

void * cv::AsyncPromise::_getImpl | ( |  | ) | const
| inline

## ◆ getArrayResult()

AsyncArray cv::AsyncPromise::getArrayResult | ( |  | ) |

Returns associated AsyncArray

Note
  Can be called once

## ◆ operator=() [1/2]

AsyncPromise & cv::AsyncPromise::operator= | ( | AsyncPromise && | o | ) |
| inline

## ◆ operator=() [2/2]

AsyncPromise & cv::AsyncPromise::operator= | ( | const AsyncPromise & | o | ) |

## ◆ release()

void cv::AsyncPromise::release | ( |  | ) |

## ◆ setException() [1/2]

void cv::AsyncPromise::setException | ( | const cv::Exception & | exception | ) |

Stores exception.

Parameters

  [in] | exception | exception to be raised in AsyncArray

## ◆ setException() [2/2]

void cv::AsyncPromise::setException | ( | std::exception_ptr | exception | ) |

Stores exception.

Parameters

  [in] | exception | exception to be raised in AsyncArray

## ◆ setValue()

void cv::AsyncPromise::setValue | ( | InputArray | value | ) |

Stores asynchronous result.

Parameters

  [in] | value | result

## Friends And Related Symbol Documentation

## ◆ AsyncArray::Impl

friend struct AsyncArray::Impl
| friend

## Member Data Documentation

## ◆ p

Impl* cv::AsyncPromise::p
| protected

The documentation for this class was generated from the following file:

- opencv2/core/detail/async_promise.hpp